#!/bin/bash

# Script for fast downloading of files from the EBI.
#
# Usage: ebi-get.sh SOURCE1 [SOURCE2 ...] DEST.

ASCP=$HOME/local/aspera/bin/ascp
PUTTY=$HOME/local/aspera/etc/asperaweb_id_dsa.putty

if [[ "$#" -lt 2 ]]; then
    echo "USAGE: ebi-get.sh SOURCE1 [SOURCE2 ...] DEST" 1>&2
    echo "Where SOURCE1 etc. are FTP urls to EBI files." 1>&2
    exit 1
fi

SOURCES=
num_args=$#
let "num_args=$num_args-1"
for i in `seq $num_args`; do
    SRC=$(echo $1 | sed 's/ftp.*ac.uk/era-fasp@fasp.sra.ebi.ac.uk:/')
    SOURCES="${SOURCES} ${SRC}"
    shift
done

DEST=$1

echo "EXECUTING ${ASCP} -QT -l 300m -i ${PUTTY}${SOURCES} ${DEST}"
${ASCP} -QT -l 300m -i ${PUTTY}${SOURCES} ${DEST}
